
local MakePlayerCharacter = require "prefabs/player_common"


local assets =
 {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wendy.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),
		

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/ss6.zip" ),
}
local prefabs = 
{ 
	}
local start_inv = 
{
	"lighter",
	"razor",
	"razor_blueprint",
	"spear_blueprint",
	"pitchfork_blueprint",
}
local fn = function(inst)

	
	-- choose which sounds this character will play
	inst.soundsname = "wendy"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "minimap/ss6.png" )

	-- todo: Add an example special power here.
	inst.components.health.fire_damage_scale = 0

	inst.components.inventory:GuaranteeItems(start_inv)
	inst.components.eater.ignoresspoilage = true
	
	inst.components.health:SetMaxHealth(TUNING.WILSON_HEALTH * 1.2 )
	inst.components.hunger.max = 120
	inst.components.sanity.max =60
	inst.components.eater.strongstomach = true --She is insane and ate her parents so makes sense.

	inst.components.sanity.night_drain_mult = ( TUNING.WENDY_SANITY_MULT * -2 )
	
end

return MakePlayerCharacter("ss6", prefabs, assets, fn, start_inv)
